Update a firm template

PATCH /api/v1/advisory-firms/{firm_id}/templates/{template_id}
Operation ID: update_firm_template_api_v1_advisory_firms__firm_id__templates__template_id__patch · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

firm_id string required
template_id string required

Request body

name string
description string
payload object

Responses

200 Successful Response

id string required
advisory_firm_id string required
kind string required
name string required
description string
payload object required
created_by string
created_at string · date-time required
updated_at string · date-time required

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

409 Conflict - Resource already exists

422 Validation Error - Invalid data format